#!/bin/sh
if [[ -z $VERSION ]]; then VERSION=$(curl https://meta.fabricmc.net/v2/versions/game | jq -r '[(.[]|select(.stable))][0].version'); fi
if [[ -z $LOADER ]]; then LOADER=$(curl https://meta.fabricmc.net/v2/versions/loader | jq -r '[(.[]|select(.stable))][0].version'); fi
if [[ -z $INSTALLER ]]; then INSTALLER=$(curl https://meta.fabricmc.net/v2/versions/installer | jq -r '[(.[]|select(.stable))][0].version'); fi
docker build --label type=GAME -t "minecraft:fabric-$VERSION" . --build-arg VERSION=$VERSION --build-arg INSTALLER=$INSTALLER --build-arg LOADER=$LOADER
